Bug 1741029

Summary: WALinuxAgent depends on Python 2
Product: [Fedora] Fedora Reporter: Lumír Balhar <lbalhar>
Component: WALinuxAgentAssignee: Vitaly Kuznetsov <vkuznets>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: logans, vkuznets
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: WALinuxAgent-2.2.40-4.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-22 06:31:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1698500    

Description Lumír Balhar 2019-08-14 05:28:54 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for WALinuxAgent's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to WALinuxAgent.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Vitaly Kuznetsov 2019-08-14 12:25:55 UTC
Only "legacy" subpackage should depend on Python2, it can be disabled.

Comment 2 Lumír Balhar 2019-08-21 13:46:35 UTC
You are right and it seems that nothing depends on WALinuxAgent-legacy package. Could you please disable it in rawhide?

Comment 3 Vitaly Kuznetsov 2019-08-21 15:02:31 UTC
(In reply to Lumír Balhar from comment #2)

> Could you please disable it in rawhide?

Of course. Done.

Comment 4 Lumír Balhar 2019-08-22 06:31:29 UTC
Thank you!